<template>
    <div>
        <button
            v-if="page > 1"
            class="my-4 mx-2 inline-flex items-center py-2 px-4 border border-transparent shadow-sm text-sm leading-4 font-medium rounded-full text-white bg-gray-600 hover:bg-gray-700 transition-colors duration-300 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-gray-500"
            @click="$emit('update:page', page - 1)"
        >
            Назад
        </button>

        <button
            v-if="hasNextPage"
            class="my-4 mx-2 inline-flex items-center py-2 px-4 border border-transparent shadow-sm text-sm leading-4 font-medium rounded-full text-white bg-gray-600 hover:bg-gray-700 transition-colors duration-300 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-gray-500"
            @click="$emit('update:page', page + 1)"
        >
            Вперед
        </button>
    </div>
</template>

<script>
    export default {
        props: {
            page: {
                type: Number,
                require: true
            },

            coinsPerPage: {
                type: Number,
                default: 4,
            },

            hasNextPage: {
                type: Boolean,
                default: false
            }
        }
    }
</script>